Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SState

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, ITyped, IValue, org.eclipse.emf.common.notify.Notifier, SAttribute, SNamed

All Known Implementing Classes:
  SStateImpl

    public interface SState

extends SAttribute

A representation of the model object ' SState'.

The following features are supported:

- `Options`
- `Default Option`

See Also:
  `MetaABMPackage.getSState()`

Method Summary
`SStateValue` | `getDefaultOption()` Returns the value of the 'Default Option' reference.
`org.eclipse.emf.common.util.EList<SStateValue>` | `getOptions()` Returns the value of the 'Options' containment reference list.
`void` | `setDefaultOption(SStateValue value)` Sets the value of the '`Default Option`' reference.

Methods inherited from interface org.metaabm.SAttribute
`accepts, getChildren, getDefaultValue, getOwner, getUnits, isDerived, isGatherData, isImmutable, setDefaultValue, setDerived, setGatherData, setImmutable, setOwner, setUnits`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IValue
`getAccessors, getAvailableTypes, references`

Methods inherited from interface org.metaabm.ITyped
`getSType, setSType`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOptions

    org.eclipse.emf.common.util.EList<SStateValue> getOptions()

  Returns the value of the 'Options' containment reference list. The list contents are of type `SStateValue`. It is bidirectional and its opposite is '`Set`'.

  If the meaning of the 'Options' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Options' containment reference list.
  See Also:
    `MetaABMPackage.getSState_Options()`, `SStateValue.getSet()`

### getDefaultOption

    SStateValue getDefaultOption()

  Returns the value of the 'Default Option' reference.

  If the meaning of the 'Default Option' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Option' reference.
  See Also:
    `setDefaultOption(SStateValue)`, `MetaABMPackage.getSState_DefaultOption()`

### setDefaultOption

    void setDefaultOption(SStateValue value)

  Sets the value of the '`Default Option`' reference.

  Parameters:
    `value` - the new value of the 'Default Option' reference.
  See Also:
    `getDefaultOption()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD